# 🕵️‍♂️ TrackIP - The Ultimate IP Tracker CLI 🌍

[![Open Source](https://badgen.net/badge/icon/open-source?icon=github&label)](https://github.com/nayandas69/trackip)
[![Build Status](https://github.com/nayandas69/trackip/actions/workflows/python-publish.yml/badge.svg)](https://github.com/nayandas69/trackip/actions)
[![PyPI Version](https://img.shields.io/pypi/v/trackip?color=blue&label=PyPI)](https://pypi.org/project/trackip/)
[![PyPI Downloads](https://img.shields.io/pypi/dm/trackip?color=green)](https://pypi.org/project/trackip/)
[![License](https://img.shields.io/github/license/nayandas69/trackip?color=yellow)](https://github.com/nayandas69/trackip/blob/main/LICENSE)

### 🚀 **What is TrackIP?**
A **savage** command-line tool that lets you **track any IP address** like a pro.  
You get **real-time** info on an IP’s **location, ISP, timezone**, and all that spicy data you need. 🔥  

✅ **Supports Public & Private IPs**  
✅ **Super Fast & Lightweight**  
✅ **Cross-Platform** (Windows / Mac / Linux)  
✅ **Auto Check for Updates from GitHub**  
✅ **Easy AF to Use**  

---

## 🎯 **How to Install?**
Like, installing this is **easier than making instant noodles** 🍜  

### **Method 1: Install via `pip` (Recommended)**
```bash
pip install trackip
```
After installation, just run:
```bash
trackip
```
Boom! You're in. 🎯

### **Method 2: Download EXE (Windows Users)**
Don't wanna mess with Python? We got you. 💯  
👉 **[Download the EXE from the Releases](https://github.com/nayandas69/trackip/releases)**

Just grab the `.exe`, double-click, and flex your IP-tracking skills.

---

## 🎮 **How to Use?**
Run the command and follow the **simple menu system**:  
```bash
trackip
```

Then select:  
1️⃣ **Start Tracking** → Enter an IP and get its details  
2️⃣ **Check for Updates** → Stay ahead of the game with the latest version  
3️⃣ **Help** → Get deets on how to use it  
4️⃣ **Exit** → If you're done flexing  

### **Track a Specific IP**
```bash
trackip
```
Then enter an IP when prompted, OR type `my` to check **your own public IP**.

### **Example Output**
```
🌍 IP Address: 8.8.8.8
📍 Country: United States (US)
🏙️  City: Mountain View
📡 ISP: Google LLC
🗺️  Latitude: 37.405 | Longitude: -122.078
🕵️  Org: Google
📊 ZIP Code: 94043
⏳ Timezone: America/Los_Angeles
```

---

## 🚀 **Features**
🔥 **Tracks Any IP** - Get full deets on public & private IPs  
🔍 **Geolocation** - Country, City, ISP, Org, Zip Code, Timezone  
📡 **Check Your Own Public IP** - No need to Google "what's my IP" again 🤡  
🔄 **Auto-Update Checker** - Stay fresh with the latest features  
⚡ **Blazing Fast** - No waiting, just instant results  
🔗 **Cross-Platform** - Works on Windows, Mac, & Linux  

---

## 🛠️ **Under the Hood (Tech Stack)**
- **Python** 🐍 (Cuz it's the 🐐)
- **Requests** (For fetching IP data)
- **Colorama** (Cuz we love colors in our terminal)
- **GitHub API** (For auto update checks)

---

## 📌 **Contributing**
Wanna make this better? Drop a **pull request** or raise an **issue**:  
🔗 **[TrackIP GitHub Repo](https://github.com/nayandas69/trackip)**  

1. **Fork it** 🍴
2. **Create a branch** (`git checkout -b new-feature`)
3. **Commit your changes** (`git commit -m 'Added some dope features'`)
4. **Push to the branch** (`git push origin new-feature`)
5. **Submit a PR** and we’ll check it out 🔍

---

## 🔥 **Support & Contact**
👨‍💻 **Author:** [Nayan Das](https://github.com/nayandas69)  
📧 **Email:** [nayanchandradas@hotmail.com](mailto:nayanchandradas@hotmail.com)  
🐍 **PyPI:** [TrackIP on PyPI](https://pypi.org/project/trackip/)  

💡 **Star the repo if you love this!** ⭐ **Stay safe online!** 🚀
